<?php
/**CGD:状态 0 待发货 1发货中 2完成
 * RKD:状态 0 取消发货 /待发货 1待验货 2 待审核 3入库完成
 * BHD:更新状态0待申请，1申请备库待反馈，2已反馈 3采用反馈 4未采用
 * FKD:更新状态0待申请，1采用，2未采用
 * PDD:0新建 1发起/驳回 2待审核 3待入库 4入库盘点完成
 * DBD: 审核状态 0取消 1发起 2入库审核 3出库方发货 4入库验货 5验货审核
 * RKTHD:
 * CGTHD:状态0待审核 1业务审核 2告知财务部门
 * XSQRD:订单状态 0取消 1发起 2反馈物流费 3同意下单 4发货中 5已发货
 * ZXQRD:0待发起 1待发货 2发货中 3部分发货 4已完成
 * CKD:订单状态1已出库2验收3验收完成
 * SHD:
 *CGGCD：状态0取消1待通知采购部门2待通知财务部门3已完成
 *ZXGCD：状态 0待发起 1待审核 2待业务通知3完成
 */
return [
    'CGD'=>[
        "0"=>0,
        "1"=>1,
        "2"=>2,
        "3"=>[3,4],
    ],
    'SPCB'=>[
        0=>[7,8],
        1=>[0,2,3],
        2=>[1,4,5,6]
    ],
    'SPSX'=>[
        0=>1,
        1=>2,
        2=>3,
        3=>4,
        4=>5,
        5=>[6,7,8],
    ],
    'PRO'=>[
        0=>1,
        1=>2,
        2=>3,
        3=>4,
        4=>5,
        5=>6,
    ],
    'YJD'=>[
        0=>0,
        1=>[1,2],
        2=>[4,5],
        3=>[6,7],
        4=>[9,10,11,3,8]
    ],
    'BHD'=>[
        0=>1,
        1=>2,
    ],
    "XSQRD"=>[
        0=>1,
        1=>2,
        2=>3,
    ],
    "QRD"=>[
        0=>1,
        1=>2,
        2=>3,
    ],
    "CKD"=>[
      0=>0,
      1=>1,
      2=>2,
      3=>3,
      4=>4
    ],
    "SHD"=>[
        0=>1,
        1=>2,
        2=>3,
        3=>4,
        4=>[5,6,7,8]
    ],
    "CKTHD"=>[
        0=>0,
        1=>1,
        2=>2,
        3=>3,
        4=>4,
    ],
    "XSTHD"=>[
        0=>1,
        1=>2,
        2=>3,
        3=>[4,5,6,7],
    ],
    "XSGCD"=>[
        0=>1,
        1=>2,
    ],
    "RKD"=>[
        0=>0,
        1=>1,
        2=>2,
        3=>3,
        4=>5,
        5=>[6,4]
    ],
    "CGGCD"=>[
        0=>1,
        1=>2,
    ],
    "DBD"=>[
        0=>0,
        1=>1,
        2=>2,
        3=>3,
        4=>4,
        5=>5,
    ],
    "PDD"=>[
        0=>0,
        1=>1,
        2=>2,
        3=>3,
        4=>4,
        5=>5,
    ],
    "HD"=>[
        0=>0,
        1=>1,
        2=>2,
        3=>3,
        4=>[4,5,6,7,8]
    ],
    "PRT"=>[
        0=>0,
        1=>1
    ],
];